Subject: bug#31240: 26.1; mouse-save-then-kill does not kill rectangles

From: martin rudalics <[email-masked]>
Date: Fri, 12 Oct 2018 10:44:57 +0200

> At the moment, my current proposal is: allow the user to drag the
 > rectangle anywhere to the left (on the same line, or on a different
 > line), or anywhere else where it would not intersect with itself (I'm
 > attaching a new patch that allows this).

Thanks.  The following case looks a bit problematic here.  Suppose my
rectangle in an Elisp buffer is

;;;;;;;;;;;;;;;;;;;
;;;;;;RECT;;;;;;;;;
;;;;;;RECT;;;;;;;;;
;;;;;;RECT;;;;;;;;;
;;;;;;RECT;;;;;;;;;
;;;;;;RECT;;;;;;;;;
;;;;;;;;;;;;;;;;;;;

If I now drag it up by one line and four columns to the right (so that
it just does not intersect with itself) I get

;;;;;;;;;;RECT;;;;;;;;;
;;;;;;RECT;;;;;;;;;
;;;;;;RECT;;;;;;;;;
;;;;;;RECT;;;;;;;;;
;;;;;;RECT;;;;;;;;;
;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;

which is somehow counterintuitive.  Any ideas?

Thanks, martin